Loading...
Searching...
No Matches
GravityModel.cpp File Reference

Implementation for GeographicLib::GravityModel class. More...

`#include <GeographicLib/GravityModel.hpp>`
`#include <fstream>`
`#include <limits>`
`#include <GeographicLib/SphericalEngine.hpp>`
`#include <GeographicLib/GravityCircle.hpp>`
`#include <GeographicLib/Utility.hpp>`

Go to the source code of this file.

## Namespaces

namespace | GeographicLib
| Namespace for GeographicLib.

## Macros

#define | GEOGRAPHICLIB_DATA "/usr/local/share/GeographicLib"
#define | GEOGRAPHICLIB_GRAVITY_DEFAULT_NAME "egm96"

## Detailed Description

Implementation for GeographicLib::GravityModel class.

Copyright (c) Charles Karney (2011-2023) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

Definition in file GravityModel.cpp.

## Macro Definition Documentation

## GEOGRAPHICLIB_DATA

#define GEOGRAPHICLIB_DATA "/usr/local/share/GeographicLib"

Definition at line 21 of file GravityModel.cpp.

## GEOGRAPHICLIB_GRAVITY_DEFAULT_NAME

#define GEOGRAPHICLIB_GRAVITY_DEFAULT_NAME "egm96"

Definition at line 26 of file GravityModel.cpp.

Referenced by GeographicLib::GravityModel::DefaultGravityName().